$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.50.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.0.50.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '2F99D18949B0B98B106D2D7A6BF8413F78E91B5A307742D9FACAAEA142C32461'
  checksumType = 'sha256'
  checksum64 = '2F99D18949B0B98B106D2D7A6BF8413F78E91B5A307742D9FACAAEA142C32461'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.0.50-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
